package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag711;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT711Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag47ACreator extends AbsTagCreate {

     private MT711Creator mt711Creator;

    public Tag47ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt711Creator= (MT711Creator) absMTCreator;
    }

    public void creator()
    {
        String tag47AValue = mt711Creator.getAdditionalConditions();
        mt711Creator.set("47A", tag47AValue);
    }
}

